Kan man uppgradera till flash 10.1 nu?

Permalänk

Kan man uppgradera till flash 10.1 nu?

Hejsan allesammans

Jag kom precis på att hos mina föräldrars dator som har win xp så har flash automatiskt uppgraderats till 10.1.

Själv så har jag linux debian stable 64.bit och jag undrar nu om jag kan uåågradera till 10.1 på min dator. jag kollade precis insticksmoduler i min iceweasel (firefox) och den har flash 9 r124.

Om det går och om det ger bättre resultat så skulle jag vilja ha en trevlig guide om hur jag kan göra detta på så smidigt sätt som möjligt.

Tack på förhand

Permalänk

Jag tittade lite närmre och upptäckte att det fanns en senare version av flashplayer-nonfree från backports. så jag installerade det och nu har jag flash 10.0 jag vet inte om det är 32 eller 64bit men cpu har gått ner avsevärt när jag tittar på klipp på youtube. Då återstår frågan om man skall försöka få in flash 10.1 eller man skall vänta.

Permalänk
Medlem

Googla på flash 64bit linux. Ladda ner den packade filen o lägg libflashplayer.so i din webbläsares plugin mapp. Glöm inte ta bort den du använder nu först.

Permalänk

oki jag kollade lite och jag hittade en fil som hette libflashplayer.so_10.1 som låg i /usr/lib/flashplugin-nonfree så jag kopierade in den i /home/min användare/.mozilla/plugins/libflash.so och det verkar funka men i listan i firefox över instickmoduler så ligger fortfarande flash 9 och flash 10 ,, hur fixar jag detta?

EDIT: jag kollade i "about : plugins" i firefox och där står det fortfarande att jag har flash 10 r45.

Permalänk

väldigt knepigt ,, jag är inne hos abode nerladningssida för flash och jag blir hänvisad till en sida för att ladda hem 64-bit versionen av flash men där finns bara 32-bit versioner att ladda hem?!

Permalänk
Medlem

Tog de inte bort 64-bit flash för Linux?
Adobe Drops 64-Bit Flash Support for Linux |Ubuntu Geek

Men den kanske kommer tillbaka i och med version 10.2?
Adobe Flash Player "Square" (10.2.x) 64bit Ubuntu PPA ~ Web Upd8: Ubuntu / Linux blog
Men man vill nog inte köra den om det är en betaversion (särskilt inte om man kör debian stable för att undvika ostabila program).

Annars kan man köra 32-bit flash även i 64-bit med hjälp av ndispluginwrapper eller vad det heter.
Så gör jag nu på mitt Arch Linux och det funkar bra tycker jag.

Det var väl något säkerhetshål i 64-bit flashplayer 10.0 som aldrig reparerades för Linux?
Adobe Flash Player 10.1 64bit Beta Discontinued(Temporarily) for Linux Tech Simplified
Så man vill nog inte köra flashplayer 10.0 64-bit.

Permalänk
Medlem

här har du den:
http://download.macromedia.com/pub/labs/flashplayer10/flashpl...

länkad från DENNA sidan som jag googlade mig till:
Adobe Labs - Downloads: Adobe Flash Player "Square" Preview Release

den kör jag o den klarar 1080p youtube på min 2560x1600 skärm. Har aldrig funkat innan med något ful ndiswrapper.

Permalänk
Medlem
Skrivet av ronnylov:

Tog de inte bort 64-bit flash för Linux?
Adobe Drops 64-Bit Flash Support for Linux |Ubuntu Geek

Men den kanske kommer tillbaka i och med version 10.2?
Adobe Flash Player "Square" (10.2.x) 64bit Ubuntu PPA ~ Web Upd8: Ubuntu / Linux blog
Men man vill nog inte köra den om det är en betaversion (särskilt inte om man kör debian stable för att undvika ostabila program).

Annars kan man köra 32-bit flash även i 64-bit med hjälp av ndispluginwrapper eller vad det heter.
Så gör jag nu på mitt Arch Linux och det funkar bra tycker jag.

Det var väl något säkerhetshål i 64-bit flashplayer 10.0 som aldrig reparerades för Linux?
Adobe Flash Player 10.1 64bit Beta Discontinued(Temporarily) for Linux Tech Simplified
Så man vill nog inte köra flashplayer 10.0 64-bit.

64-bit flash hade ett säkerhetshål, och istället för att reparera det så tog Adobe bort 64-bitars versionen. Men de har nu släppt Flash Player "Square", som är en prerelease med bl.a. 64-bitars stöd (flashplugin-prerelease i AUR, också tillgängligt från archlinux.fr repositoriet). Så säkerhetshålet fixades för flera månader sedan.

Att det sen är en prerelease kanske inte tilltalar vissa (men 64-bitars flash har väl aldrig varit mycket mer än så), men den har i alla fall varit väldigt stabil för mig. Jag har inte haft en enda krasch sedan jag började använda prereleasen, vilket jag inte kan säga om ndispluginwrapper.

Permalänk
Medlem

OK perost, där ser man. Är det bara att avinstallera flashplugin med sina dependencies i Arch 64-bit då så blir man även av med ndispluginwrapper?

sudo pacman -Rs flashplugin

https://wiki.archlinux.org/index.php/Opera#Plugins

Men som sagt, än så funkar det för mig med 32-bit flash, men helskärmsläget har väl inte alltid bra flyt.
Nu när du skriver att betan funkar bra så blir jag sugen att testa den istället.

Permalänk

Jag laddade ner Flash Player "Square", och bytte ut filen i .mozilla/plugins/ därefter testade jag att spela klipp och cpu gick upp och när jag försökte spela helskärm så kraschade firefox så jag bytte tillbaka och nu funkar inte flash över huvudtaget jag har försökt att installera om paketet flashplayer nonfree utan att lyckas så vad skall jag nu göra?

Permalänk

Jag löste det genom att testa andra libflashplayer.so som lite varsom på min dator och till slut så funkade det men jag kan inte med säkerhet vet vilken version av flash jag kör. Det är helt sjukt jag har libflashplayer.so och npwrapper.libflashplayer.so i /usr/lib/(firefox, iceweasel, mozilla, nspluginwrapper) och /home/minanvändare/.mozilla hur rensar man upp en sådanhär situation?

Permalänk
Inaktiv
Skrivet av Mysticsam:

Jag löste det genom att testa andra libflashplayer.so som lite varsom på min dator och till slut så funkade det men jag kan inte med säkerhet vet vilken version av flash jag kör. Det är helt sjukt jag har libflashplayer.so och npwrapper.libflashplayer.so i /usr/lib/(firefox, iceweasel, mozilla, nspluginwrapper) och /home/minanvändare/.mozilla hur rensar man upp en sådanhär situation?

Sluta göra på Windowssättet. Leta upp ett PPA och använd pakethanteraren. För övrigt, om du vill ha nya versioner av program kanske inte Debian Stable är bästa valet. Prova Unstable eller typ Arch.

Permalänk

ett PPA ?! är inte det för ubuntu? och jag prioriterar stabiltet.

Permalänk
Inaktiv
Skrivet av Mysticsam:

ett PPA ?! är inte det för ubuntu? och jag prioriterar stabiltet.

Debian använder väl också apt, så ett ppa borde la fungera? Använder varken Ubuntu eller Debian så är inte säker, men det är väl i princip samma distro, fast Ubuntu har en annan skrivbordsbakgrund och knapparna på andra sidan...

Permalänk
Medlem
Skrivet av anon84089:

Debian använder väl också apt, så ett ppa borde la fungera? Använder varken Ubuntu eller Debian så är inte säker, men det är väl i princip samma distro, fast Ubuntu har en annan skrivbordsbakgrund och knapparna på andra sidan...

Stämmer bra, PPA fungerar på samma sätt i Debian. Det svåra kan vara att alla PPAs är gjorda för ubuntu i stort sett, men Lucid ≃ Squeeze i de fallen.

Permalänk
Medlem

10.2 square 64 bit har funkat hyffsat, bättre prestanda än tidagare versioner, men den är an aningen krash benägen ibland.

Jag hoppas dem kommer med gpu accelerering till linux också, för tillfället tar all flash 100% cpu.

Permalänk
Medlem
Skrivet av Scirocco:

10.2 square 64 bit har funkat hyffsat, bättre prestanda än tidagare versioner, men den är an aningen krash benägen ibland.

Jag hoppas dem kommer med gpu accelerering till linux också, för tillfället tar all flash 100% cpu.

Pillade lite med Flash player 10.2 betan igår på min netbook med Atom 270N och ION, och numera flyter 720p och 1080p flash på youtube riktigt bra, så gpu accelerering är på väg. 480p tror jag dock inte där blev nån bild på (testade bara lite snabbt). Så jag längtar tills att 10.2 Final release kommer!

Permalänk
Avstängd
Skrivet av Scirocco:

10.2 square 64 bit har funkat hyffsat, bättre prestanda än tidagare versioner, men den är an aningen krash benägen ibland.

Jag hoppas dem kommer med gpu accelerering till linux också, för tillfället tar all flash 100% cpu.

Yup och för de som kör ett prima nyare nVidia-kort så stödjer numera Flash VDPAU
(tyvärr crashbenäget i fullskärm)

Info:
[Phoronix] Adobe's Flash Video Acceleration On Linux Uses VDPAU

Sevenmachine håller sitt ppa uppdaterat med senaste 64bitars flashen
https://launchpad.net/~sevenmachines/+archive/flash

Permalänk

Hej allesammans

Jag har upptäckt att jag fortfarande inte kan se flashfilmer i fullscreen utan firefox crashar helt. Jag undrar hur jag skall göra för att det skall funka igen och får bort alla olika libflashplayer.so filerna på min datorn samtidigt. Skall jag bara ta bort dom manuellt eller skall jag ta bort olika packet?

Permalänk
Medlem

Det är väll bara /usr/lib/flashinstaller/libflashplayer.so eller hur nu mappen heter (flash-installer?) som är den riktiga filen (de andra är väll bara symboliska länkar till den filen)? (Sitter i windows atm så kan inte kolla upp)

Permalänk
Medlem

annars kör in chromium eller chrome den skeppas automatiskt med senaste flash nu för tiden

Permalänk

Jag fick ta i en gammal libflash.so fil så nu slår cpu:n i taket men jag kan se i fullskärm så jag är nöjd. Tack för all hjälp och alla förslag.

Permalänk
Medlem
Skrivet av plunn:

Yup och för de som kör ett prima nyare nVidia-kort så stödjer numera Flash VDPAU
(tyvärr crashbenäget i fullskärm)

Info:
[Phoronix] Adobe's Flash Video Acceleration On Linux Uses VDPAU

Sevenmachine håller sitt ppa uppdaterat med senaste 64bitars flashen
https://launchpad.net/~sevenmachines/+archive/flash

Ah nice, hoppas bar de får tummen ur arslet och släpper en 64 bit version snabbt. Jag vet att fortfarande kör 50% 32 bit men det kommer att ändras ganska snabbt.

Permalänk
Medlem

Förstår inte riktigt poängen med hela tråden? Debian användarna gillar ju stable och gräva in sig i sina nostalgiska problem? Att trycka in senaste flash känns ju bara fel??? In med Ubuntu Natty eller Fedora Rawhide om man vill lika i framkanten.

Permalänk
Avstängd
Skrivet av Scirocco:

Ah nice, hoppas bar de får tummen ur arslet och släpper en 64 bit version snabbt. Jag vet att fortfarande kör 50% 32 bit men det kommer att ändras ganska snabbt.

Det här funkar utmärkt med 64 bitars Ubuntu.....

vdpau-accelerated flash on 64 bit mythbuntu - Ubuntu Forums

Man kör då alltså 32 bitars Flash inkl libvdpau1 32 bitars versionen